package com.red.circle.other.inner.enums.material;

import java.util.Objects;

/**
 * 徽章类型枚举.
 *
 * @author pengliang on 2021/5/13
 */
public enum BadgeConfigTypeEnum {

  /**
   * 成就.
   */
  ACHIEVEMENT,

  /**
   * 管理员.
   */
  ADMINISTRATOR,

  /**
   * 活动.
   */
  ACTIVITY,

    /**
     * 荣誉活动.
     */
    HONOR_ACTIVITY,

    /**
     * 荣誉管理员.
     */
    HONOR_ADMIN,

  /**
   * 房间徽章.
   */
  ROOM_BADGE,

  /**
   * 家族徽章.
   */
  FAMILY;

  public boolean eq(String name) {
    return Objects.equals(this.name(), name);
  }

    public static boolean isHonorType(String name) {
        return name != null && name.startsWith("HONOR");
    }

  public static boolean of(String name) {
      for (BadgeConfigTypeEnum value : values()) {
          if (value.name().equals(name)) {
              return true;
          }
      }
      return false;
  }

}
